<section class="content">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>Mobi2go Webhooks</h2>

            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item"><a ui-sref="test"><i class="zmdi zmdi-home"></i> Dashboard</a></li>
                    <li class="breadcrumb-item active">Mobi2go</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-md-12 col-lg-12">
                <div class="card">
                    <div class="body">
                        <p ng-if="webhooks.length == 0">You don't have any Mobi2go webhooks.</p>

                        <button ui-sref-active="active open" ui-sref="mobi2go" class="btn btn-raised btn-primary waves-effect btn-round tab-link">WEBHOOK</button>
                        <button ui-sref-active="active open" ui-sref="nps-audit" class="btn btn-raised btn-primary waves-effect btn-round tab-link" >AUDIT TABLE</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12 col-lg-12">
                <button class="btn btn-raised btn-primary waves-effect btn-round float-md-right" ng-click="addWebHook()">ADD NEW WEBHOOK</button>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-lg-6 col-md-12" ng-repeat="webhook in webhooks">
                <div class="card">
                    <div class="header">
                        <h2><strong>{{webhook.location_name}}</strong></h2>
                        <ul class="header-dropdown">
                            <li class="dropdown" style="z-index: 10;"> <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"> <i class="zmdi zmdi-more"></i> </a>
                                <ul class="dropdown-menu dropdown-menu-right">
                                    <li ng-click="edit(webhook.id)">Edit</li>
                                    <li ng-click="delete(webhook.id)">Delete</li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                    <div class="body">
                        <ul class="list-group">
                            <li class="list-group-item">Location ID: {{webhook.location_id}}</li>
                            <li class="list-group-item">API Key: {{webhook.api_key}}</li>
                            <li class="list-group-item">POST URL: {{webhook.post_url}}</li>
                            <li class="list-group-item">Company name: {{webhook.company_name}}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Jquery Core Js -->
<script src="assets/bundles/libscripts.bundle.js"></script> <!-- Lib Scripts Plugin Js -->
<script src="assets/bundles/vendorscripts.bundle.js"></script> <!-- Lib Scripts Plugin Js -->


<script src="assets/bundles/mainscripts.bundle.js"></script><!-- Custom Js -->
<!--<script src="assets/js/pages/ui/dialogs.js"></script>-->
<style>
    .dropdown-menu>li {
        display: block;
        padding: 7px 18px;
         color: #616161;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
         -webkit-transition: all 0.5s;
         transition: all 0.5s;
         font-size: 14px;
         line-height: 25px;
        cursor: pointer;
    }
    .dropdown-menu>li:hover {
        display: block;
        padding: 7px 18px;
        color: #ffffff;
        background-color: #17a2b8;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
        font-size: 14px;
        line-height: 25px;
        cursor: pointer;
    }
    .tab-link:not(:disabled):not(.disabled) {
        cursor: pointer;
        background-color: #9E9E9E;
        border-color: #9E9E9E;
    }
    .tab-link:not(:disabled):not(.disabled).active, .show>.tab-link.dropdown-toggle {
        background-color: #49c5b6;
        border-color: #49c5b6;
    }
    .tab-link:not(:disabled):not(.disabled):active {
        background-color: #007bff;
        border-color: #007bff;
    }
</style>